/**
 * Copyright (c) Cisco Systems, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import "../../components/checkbox/Checkbox";
import "../../components/checkbox/CheckboxGroup";
import "../../components/table/Table";
import { LitElement, TemplateResult } from "lit";
export declare class TableTemplateSandbox extends LitElement {
    private clean;
    private noBorders;
    private stripped;
    private sorting;
    cleanCheckbox: HTMLInputElement;
    noBordersCheckbox: HTMLInputElement;
    strippedCheckbox: HTMLInputElement;
    sortingCheckbox: HTMLInputElement;
    static get styles(): import("lit").CSSResult[];
    cleanChanged(): void;
    noBordersChanged(): void;
    strippedChanged(): void;
    sortingChanged(): void;
    get mainTableTemplate(): TemplateResult;
    get optionsTemplate(): TemplateResult;
    render(): TemplateResult;
}
export declare const tableTemplate: TemplateResult<1>;
